RE: [greenstone-users] Problem installating greenstone 2.5.1 onSolaris 2.8

From John R. McPherson
DateTue, 31 Aug 2004 13:58:23 +1200
Subject RE: [greenstone-users] Problem installating greenstone 2.5.1 onSolaris 2.8
In-Reply-To (200408310125-i7V1PHF8027837-mail1-hku-hk)
On Tue, 2004-08-31 at 13:25, Dave wrote:
> Yes. I am using gcc.
> Could you suggest what can I do to fix the problem?

> -----Original Message-----
> > From: John R. McPherson
> > On Mon, 2004-08-30 at 20:53, Dave wrote:
> > > /cgi-bin/library also shows error:
> > >
> > > library: Cannot findELF
> > I assume from your previous message that you are running Solaris.
> >
> > ELF is the executable file format - for some reason your compiler
> > is making executables that your operating system can't run.
> >
> > My best guess would be that you are using GCC and it is linking
> > the executables against some dynamic libraries that can't be
> > found at runtime.

Unfortunately we haven't had any solaris machines here for a number of
years now, although the code worked on solaris last time we checked.

The code should be fairly portable so it shouldn't be too difficult to
get newer greenstone releases working on solaris. Without being a
solaris expert I can't tell what the cause of your error message is,
perhaps you need to get gcc to link programs against an ELF library by
putting "-lelf" in your CFLAGS and CXXFLAGS when configuring/compiling.

John